Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.cache.document
Class AbstractSessionCache.BasicSaveContext

    java.lang.Object
      org.modeshape.jcr.cache.document.AbstractSessionCache.BasicSaveContext

All Implemented Interfaces:
  SessionCache.SaveContext

Enclosing class:
  AbstractSessionCache

    @Immutable
    protected static final class AbstractSessionCache.BasicSaveContext

extends Object
implements SessionCache.SaveContext

Constructor Summary
`protected` | `AbstractSessionCache.BasicSaveContext(ExecutionContext context)`

Method Summary
`DateTime` | `getTime()` Get the instance in time that the save is taking place.
`String` | `getUserId()` Get the identifier for the user that is making this save.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractSessionCache.BasicSaveContext

    protected AbstractSessionCache.BasicSaveContext(ExecutionContext context)

Method Detail

### getTime

    public DateTime getTime()

  Description copied from interface: `SessionCache.SaveContext`
  Get the instance in time that the save is taking place.

  Specified by:
    `getTime` in interface `SessionCache.SaveContext`
  Returns:
    the save timestamp; never null

### getUserId

    public String getUserId()

  Description copied from interface: `SessionCache.SaveContext`
  Get the identifier for the user that is making this save.

  Specified by:
    `getUserId` in interface `SessionCache.SaveContext`
  Returns:
    the user identifier; never null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.